#
# spec file for package python-xxhash
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-xxhash
Version:        1.3.0
Release:        2.1
Summary:        Python binding for xxHash
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            https://github.com/ifduyue/python-xxhash
Source:         https://files.pythonhosted.org/packages/source/x/xxhash/xxhash-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module nose > 1.3.0}
# /SECTION
BuildRequires:  fdupes
BuildRequires:  unzip

%python_subpackages

%description
xxhash is a Python binding for the xxHash library.

%prep
%setup -q -n xxhash-%{version}

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
%python_exec setup.py test

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE
%{python_sitearch}/*

%changelog
* Tue Mar 26 2019 pgajdos@suse.com
- version update to 1.3.0
  * Wheels are now built automatically
  * Split CFFI variant into a separate package
  * Add oneshot functions xxh{32,64}_{,int,hex}digest
  * Allow input larger than 2GB
  * Release the GIL on sufficiently large input
  * Drop support for Python 3.2
* Fri Nov 10 2017 alarrosa@suse.com
- Initial release of xxhash 1.0.1
